#
# spec file for package gnome-color-chooser
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Dariel Dato-on
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-color-chooser
Version:        0.2.5
Release:        20.5
License:        GPL-3.0+
Summary:        Tool to customize appearance of GNOME and GTK+ applications
Group:          System/GUI/GNOME
Url:            http://gnomecc.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gnome-color-chooser-desktop.patch oddrationale@gmail.com -- Remove the extension in the Icon line of the .desktop file
Patch0:         gnome-color-chooser-desktop.patch
BuildRequires:  gcc-c++
BuildRequires:  gtkmm2-devel
BuildRequires:  intltool
BuildRequires:  libglademm-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libxml2-devel
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is an application for customizing the appearance of the GNOME
desktop.

Features:
 * change most important colors (e.g. background, window decoration,
   tooltips)
 * change colors and sizes of GTK+ widgets
 * colorize desktop icons
 * configure GTK+ engines and let your current theme be drawn by an
   GTK+ engine of your choice.


%lang_package
%prep
%setup -q
%patch0

%build
%configure
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%suse_update_desktop_file -G 'Color Chooser' %{name} Utility DesktopUtility
%find_lang %{name} %{?no_lang_C}

%clean
rm -rf %{buildroot}

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%endif

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%doc %{_mandir}/man?/*.*

%files lang -f %{name}.lang

%changelog
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Fri Jun 12 2009 vuntz@novell.com
- Clean up packaging.
- Rename desktop_file.patch to gnome-color-chooser-desktop.patch.
* Wed Apr 22 2009 oddrationale@gmail.com
- Initial Release (Version 0.2.5):
  + added possibility to customize GNOME's start menu
  + made profile "compact" compatible with clearlooks 2.16.x
  + Translations update
